1. Transfer in
  • Developer Docs Ecuador 🇪🇨
  • Online Payments
    • Release Notes
    • Card Payments
      • Request a card token
      • Make a charge or deferred charge
      • Refund a transaction
      • Void a transaction
      • Request deferred options
      • Validate OTP
      • Bin Info V2
      • Bin Info
    • One Click and Scheduled Payments
      • Request a recurring charge token
      • Create a recurring charge
      • Update recurring charge card data
      • Make an One-click payment
      • Cancel a recurring charge
      • Update a recurring charge
      • Add a temporary charge or discount
      • Get recurring charge Info
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Subscription Transactions
      • Get subscription transactions
    • Transfer in
      • Request a Transfer In token
        POST
      • Init Transaction
        POST
      • Get Status
        GET
    • Cash in
      • Request a cash in token
      • Init Transaction
      • Update a cash in transaction
      • Transaction Status
      • Delete a cash in transaction
    • Smartlinks
      • Create a Smartlink
      • Update a Smartlink
      • Get a Smartlink
      • Delete a smartlink
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Status
      • Get gateway status
      • Get platform status
    • Commissions
      • Get Commission Configuration
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Activate or deactivate
      • Delete credential
      • Update credential
      • Regenerate a credential
      • Advanced search
    • Payment Button
      • Create a payment button
    • Settlement
      • Query settlement
  • Appian - Submerchant Register
    • Submerchant Validation in Batch
    • Query submerchant status by requestId/submerchantId
    • Get submerchantIds
    • Get credentials for submerchants
  • Schemas
    • threeDomainSecure
    • webhooks
    • Card-old
    • Channel
    • Amount-cash-in
    • ChargebackListResponse
    • StatusComponent
    • SettlementDateRangeRequest
    • SubscriptionTransactionsResponse
    • Card
    • currency
    • networkToken
    • ChargebackItem
    • ErrorResponse
    • SettlementTicketRequest
    • SubscriptionTransaction
    • Subscription
    • Amount
    • ErrorResponse400
    • SettlementResponse
    • extraTaxes
    • Country
    • ErrorResponse401
    • SettlementRecord
    • Language
    • Deferred
    • ErrorResponse403
    • Metadata
    • payment_method
    • ErrorResponse500
    • ContactDetails
    • documentType
    • orderDetails
    • Shipping Address
    • Billing-Address
    • payment_submethod
    • SubscriptionUpdate
    • product
    • SubscriptionAdjustmentRequest
    • threeDomainSecure
    • webhooks
    • headers
    • webhooksChargeback
    • citMit
    • network
    • binInfo
    • messageFields
    • UnexpectedErrorResponse
    • ExternalReferenceId
    • transactionType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
  1. Transfer in

Init Transaction

POST
/transfer/v1/init
Init the transaction with a Transfer In token provided by Kushki which represents the customer's payment.

Request

Header Params

Body Params application/json

Examples

Responses

🟢201
application/json
Bodyapplication/json

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-uat.kushkipagos.com/transfer/v1/init' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data '{
    "token": "string",
    "amount": {
        "subtotalIva": 0,
        "subtotalIva0": 0,
        "iva": 0,
        "extraTaxes": {
            "iac": 0,
            "tasaAeroportuaria": 0,
            "agenciaDeViaje": 0
        }
    },
    "metadata": {
        "key0": "string",
        "key1": "string",
        "key2": "string"
    },
    "fullResponse": "v2",
    "webhooks": {
        "events": [
            "approvedTransaction"
        ],
        "headers": {
            "headers": [
                {
                    "label": "json",
                    "value": "12"
                }
            ]
        },
        "urls": [
            "string"
        ]
    }
}'
Response Response Example
201 - Ecuador with fullResponse v2
{
    "redirectUrl": "https://api-uat.kushkipagos.com/transfer/v1/agent?token=f4a51394506448b496d54d55c0ea22ec&mid=20000000101848293000",
    "transactionReference": "3a4c3f75-258e-4738-94b8-54461364b167",
    "details": {
        "status": "initializedTransaction",
        "amount": {
            "currency": "USD",
            "iva": 0,
            "subtotalIva": 0,
            "subtotalIva0": 50
        },
        "created": 1671728463198,
        "description": "Description of the payment.",
        "documentNumber": "1716458334",
        "documentType": "RUC",
        "email": "user@example.com",
        "merchantId": "20000000101848293000",
        "merchantName": "Mi Comercio Ecuador"
    }
}
Modified at 2026-07-23 16:01:52
Previous
Request a Transfer In token
Next
Get Status
Built with